From 8f69de8adb461848e182ad8c9b97418b006ed19f Mon Sep 17 00:00:00 2001
From: Vishesh Handa <me@vhanda.in>
Date: Thu, 25 Jun 2015 18:45:05 +0200
Subject: [PATCH 1/3] Export the entire HOME folder instead of individual
 folders

Temporary measure until we find a better way of doing this
---
 server/server.cpp | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/server/server.cpp b/server/server.cpp
index 3a5a2cb..0c37bb2 100644
--- a/server/server.cpp
+++ b/server/server.cpp
@@ -223,8 +223,9 @@ public:
             1024 * 1024 * 100,  /* 100 MB reserved space, to avoid filling the disk */
             false,
             0  /* Do not check sizes for internal storage */);
-        mtp_database->addStoragePath("/media/internal",
-                                     gettext("storage"),
+
+        mtp_database->addStoragePath(std::string(userdata->pw_dir),
+                                     std::string("Home"),
                                      MTP_STORAGE_FIXED_RAM, false);
         home_storage_added = false;
 
-- 
2.20.1

